Bug 7302 - CSV export of a basketgroup
Summary: CSV export of a basketgroup
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Acquisitions (show other bugs)
Version: 3.10
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Jonathan Druart
QA Contact: Mason James
URL:
Keywords:
Depends on:
Blocks: 7163 5356
  Show dependency treegraph
 
Reported: 2011-12-02 09:52 UTC by claire.hernandez@biblibre.com
Modified: 2013-05-23 06:24 UTC (History)
6 users (show)

See Also:
Change sponsored?: Sponsored
Patch complexity: ---
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 7302 Export basketgroup as CSV (7.18 KB, patch)
2012-02-16 13:41 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 7302 Export basketgroup as CSV (15.01 KB, patch)
2012-03-21 08:42 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 7302 Export basketgroup as CSV (15.01 KB, patch)
2012-03-21 11:07 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 7302 Export basketgroup as CSV (15.02 KB, patch)
2012-03-22 15:56 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 7302 Export basketgroup as CSV (14.80 KB, patch)
2012-04-06 10:36 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 7302 Export basketgroup as CSV (15.10 KB, patch)
2012-04-17 13:51 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 7302 Export basketgroup as CSV (14.55 KB, patch)
2012-06-07 12:03 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 7302: Followup: rename "Client number" column with "Account number" (1.95 KB, patch)
2012-06-11 08:29 UTC, Jonathan Druart
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 7302: Export basketgroup as CSV (14.65 KB, patch)
2012-06-17 19:31 UTC, Katrin Fischer
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 7302: Followup: rename "Client number" column with "Account number" (2.02 KB, patch)
2012-06-17 19:31 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description claire.hernandez@biblibre.com 2011-12-02 09:52:23 UTC
CSV export of a basketgroup: add a CSV export option for the basket group	 (BibLibre MT5555)
Comment 1 Jonathan Druart 2012-02-16 13:41:30 UTC Comment hidden (obsolete)
Comment 2 Koha Team University Lyon 3 2012-03-19 11:35:49 UTC
Everything is ok but the encoding. Accented characters does not appear correctly in the csv file
Comment 3 Jonathan Druart 2012-03-21 08:42:14 UTC Comment hidden (obsolete)
Comment 4 Koha Team University Lyon 3 2012-03-21 10:20:39 UTC
Export is ok with correct encoding (basket and basket group) but in basket group file, some informations are missing : Client number (Account number in bookseller exists) ; Basket group; delivery place ; Basket group billing ; place; Basket delivery place;Basket billing place. Columns are empty but the information are in the basketgroup.
Comment 5 Jonathan Druart 2012-03-21 11:07:54 UTC Comment hidden (obsolete)
Comment 6 Jonathan Druart 2012-03-21 11:31:43 UTC
Please test Bug 5356 with this patch. They are dependants...

You can test it with a sandbox
Comment 7 Koha Team University Lyon 3 2012-03-22 15:03:27 UTC
try to apply on a Lyon3 branch rebase on the git-community/master.
Applying: Bug 7302: Export basketgroup as CSV
error: patch failed: C4/Acquisition.pm:42
error: C4/Acquisition.pm: patch does not apply
Patch failed at 0001 Bug 7302: Export basketgroup as CSV
When you have resolved this problem run "git am --resolved".
If you would prefer to skip this patch, instead run "git am --skip".
To restore the original branch and stop patching run "git am --abort".
Patch left in /tmp/Bug-7302-Export-basketgroup-as-CSV-6yG1Rc.patch
Comment 8 Jonathan Druart 2012-03-22 15:56:26 UTC Comment hidden (obsolete)
Comment 9 Jonathan Druart 2012-04-06 10:36:51 UTC Comment hidden (obsolete)
Comment 10 Koha Team University Lyon 3 2012-04-17 13:28:49 UTC
Applying: Bug 7302: Export basketgroup as CSV
error: patch failed: C4/Output.pm:41
error: C4/Output.pm: patch does not apply
Patch failed at 0001 Bug 7302: Export basketgroup as CSV
Comment 11 Jonathan Druart 2012-04-17 13:51:21 UTC Comment hidden (obsolete)
Comment 12 Jonathan Druart 2012-06-07 12:03:01 UTC Comment hidden (obsolete)
Comment 13 Katrin Fischer 2012-06-10 14:46:56 UTC
Testing this without 5356 - billing address fields don't show up as expected, but feature works nicely.

Will provide a follow up changing the column name from "Client number" to "Account number" to match description of the field in Koha.
Comment 14 Katrin Fischer 2012-06-10 14:55:32 UTC
Patch depends on 5356 so testing not yet complete. Waiting for rebase of 5356.
Comment 15 Jonathan Druart 2012-06-11 08:29:14 UTC Comment hidden (obsolete)
Comment 16 Katrin Fischer 2012-06-17 19:31:45 UTC
Created attachment 10336 [details] [review]
[SIGNED-OFF] Bug 7302: Export basketgroup as CSV

Adds new action export for basketgroup.
This action is available only if your basketgroup is closed.
This export generates a csv file with order informations.

Signed-off-by: Katrin Fischer <Katrin.Fischer.83@web.de>
Tested together with bug 5356.
Comment 17 Katrin Fischer 2012-06-17 19:31:55 UTC
Created attachment 10337 [details] [review]
[SIGNED-OFF] Bug 7302: Followup: rename "Client number" column with "Account number"

Signed-off-by: Katrin Fischer <Katrin.Fischer.83@web.de>
Comment 18 Mason James 2012-07-17 06:06:35 UTC
(In reply to comment #17)
> Created attachment 10337 [details] [review]
> [SIGNED-OFF] Bug 7302: Followup: rename "Client number" column with "Account
> number"
> 
> Signed-off-by: Katrin Fischer <Katrin.Fischer.83@web.de>

passing QA on both(2) patches...


$ koha-qa.pl -c 2
- 6937f34 Bug 7302: Export basketgroup as CSV
        koha-tmpl/intranet-tmpl/prog/en/modules/acqui/csv/basketgroup.tt
        C4/Acquisition.pm
        C4/Output.pm
        acqui/basket.pl
        acqui/basketgroup.pl
        koha-tmpl/intranet-tmpl/prog/en/modules/acqui/basketgroup.tt
        koha-tmpl/intranet-tmpl/prog/en/modules/acqui/csv/basket.tt
        koha-tmpl/intranet-tmpl/prog/en/modules/acqui/csv/basketgroup.tt
- perlcritic-progressive tests... OK
- perl -c syntax tests... OK
- xt/tt_valid.t tests... OK
- xt/author/vaild-template.t tests... OK
Comment 19 Paul Poulain 2012-07-24 16:34:09 UTC
Small additionnal QA comment:

the <export as CSV> button had no header. I've removed a </td></td> to have it in the same column as Reopen and Print buttons

Patch pushed